import React from 'react';
import spriteImg from '../../assets/sprite.png';

const EditIcon = ({ text, color, position }) => {

    return (
        <span style={{ color: `${color}`, display: 'flex', alignItems: 'center' }} >
            {text}
            <span style={{ display: 'inline-block', marginLeft: '6px', background: `url(${spriteImg}) 0 ${position}px no-repeat`, width: '18px', height: '18px', backgroundSize: '100% 1300%' }}></span>
        </span>

    )

};

export default EditIcon;